E-MailRelay

Public Types | Public Attributes | List of all members
GNet::StreamSocketImp::Options Struct Reference

StreamSocket options. More...

## Public Types
enum class | Linger { default_ , zero , nolinger }

## Public Attributes
Linger | create_linger {Linger::nolinger}
bool | create_keepalive { G::Test::enabled("socket-keepalive") }
Linger | accept_linger {Linger::nolinger}
bool | accept_keepalive { G::Test::enabled("socket-keepalive") }

## Detailed Description

StreamSocket options.

Definition at line 34 of file gsocket.cpp.

## Member Enumeration Documentation

## ◆ Linger

enum class GNet::StreamSocketImp::Options::Linger
| strong

Definition at line 36 of file gsocket.cpp.

## Member Data Documentation

## ◆ accept_keepalive

bool GNet::StreamSocketImp::Options::accept_keepalive { G::Test::enabled("socket-keepalive") }

Definition at line 40 of file gsocket.cpp.

## ◆ accept_linger

Linger GNet::StreamSocketImp::Options::accept_linger {Linger::nolinger}

Definition at line 39 of file gsocket.cpp.

## ◆ create_keepalive

bool GNet::StreamSocketImp::Options::create_keepalive { G::Test::enabled("socket-keepalive") }

Definition at line 38 of file gsocket.cpp.

## ◆ create_linger

Linger GNet::StreamSocketImp::Options::create_linger {Linger::nolinger}

Definition at line 37 of file gsocket.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gsocket.cpp